-- Modifys simdefs.SCREEN_CUSTOMS to add an eaa_combatPanel to the skins in hud.lua
-- This allows us to create multiple copies of the combat panel (used by agentDoorBreak)
--
-- File is setup so that if you include it SCREEN_CUSTOMS gets modified.
-- Load it in init (not 100% certain if it will hurt it to be loaded later, but to be safe, load it in init)
local mui = include("mui/mui")
local simdefs = include("sim/simdefs")
local util = include("modules/util")

-- Try to insert this where it won't interfere with anything already existing in hud-inworld.lua
local emptySlot = 12
if simdefs.SCREEN_CUSTOMS["hud-inworld.lua"] ~= nil then
	local t = simdefs.SCREEN_CUSTOMS["hud-inworld.lua"]
	while t[emptySlot] ~= nil do
		emptySlot = emptySlot + 1
	end
end

simdefs.SCREEN_CUSTOMS = util.extend(simdefs.SCREEN_CUSTOMS) {
	["hud-inworld.lua"] = {
		skins = {
			[emptySlot] = {
				name = [[eaa_combatPanel]],
				isVisible = true,
				noInput = false,
				anchor = 8,
				rotation = 0,
				-- x = 0.6455014,
				-- y = 0.4059313,
				x = 0,
				y = 0,
				w = 0,
				h = 0,
				sx = 1,
				sy = 1,
				ctor = [[group]],
				children =
				{
					{
						name = [[hitBackground]],
						isVisible = true,
						noInput = true,
						anchor = 1,
						rotation = 0,
						x = 49,
						xpx = true,
						y = 71,
						ypx = true,
						-- w = 240,
						w = 180,
						wpx = true,
						-- h = 80,
						h = 60,
						hpx = true,
						sx = 1,
						sy = 1,
						skin_properties =
						{
							position =
							{
								default =
								{
									x = 49,
									xpx = true,
									y = 71,
									ypx = true,
								},
								Small =
								{
									x = 49,
									xpx = true,
									y = 71,
									ypx = true,
								},
							},
						},
						ctor = [[image]],
						color =
						{
							1,
							1,
							1,
							0.627451002597809,
						},
						images =
						{
							{
								file = [[white.png]],
								name = [[]],
								color =
								{
									1,
									1,
									1,
									0.627451002597809,
								},
							},
						},
					},
					{
						name = [[damageTxt]],
						isVisible = true,
						noInput = true,
						anchor = 1,
						rotation = 0,
						x = 49,
						xpx = true,
						y = 83,
						ypx = true,
						-- w = 240,
						w = 180,
						wpx = true,
						-- h = 80,
						h = 60,
						hpx = true,
						sx = 1,
						sy = 1,
						skin_properties =
						{
							position =
							{
								default =
								{
									x = 49,
									xpx = true,
									y = 83,
									ypx = true,
								},
								Small =
								{
									x = 0.03867689,
									y = 83,
									ypx = true,
								},
							},
						},
						ctor = [[label]],
						halign = MOAITextBox.CENTER_JUSTIFY,
						valign = MOAITextBox.CENTER_JUSTIFY,
						-- text_style = [[font1_48_m]],
						text_style = [[font1_36_m]],
					},
					{
						name = [[targetTxt]],
						isVisible = true,
						noInput = true,
						anchor = 1,
						rotation = 0,
						x = 49,
						xpx = true,
						--y = 47,
						y = 53,
						ypx = true,
						-- w = 240,
						w = 180,
						wpx = true,
						-- h = 80,
						h = 60,
						hpx = true,
						sx = 1,
						sy = 1,
						ctor = [[label]],
						halign = MOAITextBox.CENTER_JUSTIFY,
						valign = MOAITextBox.CENTER_JUSTIFY,
						-- text_style = [[font1_18_sb]],
						text_style = [[font1_16_sb]],
					},
				},
			},
		}
	}
}

mui.loadUI("hud-inworld.lua")
