------------------------------------------------
-- skilldefs
--
-- Contains code necessary to properly implement
--  agents breaking doors
local skilldefs = include("sim/skilldefs")

-- Extend Functions
-- Technically I should probably disable the extended functionality if this part of the mod is
-- disabled, however, if this part of the mod is disabled then the user will never notice
-- the changes to the onlearn functions so I am just going to leave them alone in that case.
local inv = skilldefs.lookupSkill("inventory")
-- inv[1] does not have an onLearn() function
local old_invOnLearn2 = inv[2].onLearn
local old_invOnLearn3 = inv[3].onLearn
local old_invOnLearn4 = inv[4].onLearn
local old_invOnLearn5 = inv[5].onLearn
inv[2].onLearn = function(sim, unit)
	old_invOnLearn2(sim, unit)
	unit:getTraits().doorBreakArmorPiercingBonus = (unit:getTraits().doorBreakArmorPiercingBonus or 0) + 1
end
inv[3].onLearn = function(sim, unit)
	old_invOnLearn3(sim, unit)
	unit:getTraits().doorBreakKOBonus = (unit:getTraits().doorBreakKOBonus or 0) + 1
end
inv[4].onLearn = function(sim, unit)
	old_invOnLearn4(sim, unit)
	unit:getTraits().doorBreakArmorPiercingBonus = (unit:getTraits().doorBreakArmorPiercingBonus or 0) + 1
end
inv[5].onLearn = function(sim, unit)
	old_invOnLearn5(sim, unit)
	unit:getTraits().doorBreakHalfImpactRange = (unit:getTraits().doorBreakHalfImpactRange or 0) + 1
end

local function addDoorBreakStrings()
	local escapedString
	for i = 1,5 do
		escapedString = string.gsub(STRINGS.EXTRA_AGENT_ABILITIES.SKILLS.INV[i], "(%W)", "%%%1")
		if string.find(inv[i].tooltip, escapedString) == nil then
			inv[i].tooltip = inv[i].tooltip .. STRINGS.EXTRA_AGENT_ABILITIES.SKILLS.INV[i]
		end
	end
end

local function removeDoorBreakStrings()
	local start, stop
	local escapedString
	for i = 1,5 do
		escapedString = string.gsub(STRINGS.EXTRA_AGENT_ABILITIES.SKILLS.INV[i], "(%W)", "%%%1") -- https://www.lua.org/pil/20.3.html
		start, stop = string.find(inv[i].tooltip, escapedString)
		if start ~= nil and stop ~= nil then
			inv[i].tooltip = string.sub(inv[i].tooltip, 1, start - 1) .. string.sub(inv[i].tooltip, stop + 1)
		end
	end
end

return {
	addDoorBreakStrings = addDoorBreakStrings,
	removeDoorBreakStrings = removeDoorBreakStrings
}
