----------------------------------------
-- hud overrides. We need to react to a
-- sim event to allow us to keep selection
-- on the item we want to throw.

local hud = include("hud/hud")
local mui_defs = include( "mui/mui_defs")
local level = include("sim/level")


local eaa_old_createHud = hud.createHud

-- Copied from "scripts/client/hud.lua" since the function is local and can't
-- be accessed from here:
local function isCancelEvent( ev )
	return (ev.eventType == mui_defs.EVENT_MouseUp and ev.button == mui_defs.MB_Right) or
			(ev.eventType == mui_defs.EVENT_KeyDown and ev.key == mui_defs.K_ESCAPE)
end

hud.createHud = function(...)
	local hudObject = eaa_old_createHud(...)
	local eaa_old_onSimEvent = hudObject.onSimEvent
	local eaa_old_onInputEvent = hudObject.onInputEvent


	function hudObject:onSimEvent(ev)
		local returnValue = eaa_old_onSimEvent(self, ev)
		if ev.eventType == "EAA_EV_ITEM_THROW" then
			self._game:dispatchScriptEvent(level.EV_HUD_CLICK_BUTTON, ev.eventData.itemUnit:getName())
			self:transitionItemTarget(ev.eventData.itemUnit, ev.eventData.itemUser)
			local x, y = ev.eventData.itemUser:getLocation()
			local wx, wy = self._game:cellToWorld(x,y)
			self:showFlyText(wx,wy, STRINGS.EXTRA_AGENT_ABILITIES.FLY_TXT.ITEM_THROW, {r=163/255,g=243/255,b=248/255,a=1}, nil, nil, nil, nil)
		end
		return returnValue
	end

	function hudObject:onInputEvent(event)
		if self._state == self.STATE_ITEM_TARGET and isCancelEvent(event) then
			-- hud._stateData
			-- Probably going to be breaking something here because I don't think the hud is supposed
			-- to be sending triggers. Not sure how else to cancel the throw on right click though.
			-- Might mess up replays, but I think this should be "safe" as this shouldn't get logged
			-- at an unexpected time in simhistory.
			self._game.simCore:triggerEvent("EAA_TRG_ITEM_THROW_CANCEL")
		end
		return eaa_old_onInputEvent(self, event)
	end

	return hudObject
end
