----------------------------------------
-- see selectItemToss.lua for documentation.

local cdefs = include("client_defs")
local abilityutil = include("sim/abilities/abilityutil")

local throwShared = include(EXTRA_AGENT_ABILITIES_SCRIPT_PATH .."/itemThrow/throwShared")

--local PATH_ICON_ACTIVE = "gui/icons/action_icons/Action_icon_Small/icon-item_shoot_small.png"
--local PATH_ICON_INACTIVE = "gui/icons/icon-item_shoot_small_darkened.png"

local selectItemDeploy =
{
	ICON_COLOR_ACTIVE = nil,
	ICON_COLOR_INACTIVE = nil,

	name = STRINGS.EXTRA_AGENT_ABILITIES.TOOLTIPS.THROW_DEPLOYING,
	getName = function(self, sim, unit, userUnit)
		if unit.getTraits and unit:getTraits().eaa_isThrowing == true then
			return STRINGS.EXTRA_AGENT_ABILITIES.TOOLTIPS.THROW_DEPLOY
		end
		return self.name
	end,

	createToolTip = function(self, sim, unit)
		return abilityutil.formatToolTip(STRINGS.EXTRA_AGENT_ABILITIES.TOOLTIPS.THROW_DEPLOY,  STRINGS.EXTRA_AGENT_ABILITIES.TOOLTIPS.THROW_DEPLOY_DESC, 1)
	end,

	profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_shoot_small.png",
	usesMP = true, -- <- The actual truth of this depends on what ITEM_THROW_MP_COST was set to.
	iconColor = nil,
	iconColorHover = cdefs.COLOR_FREE_HOVER,

	canUseAbility = function(self, sim, abilityOwner, abilityUser)
		if abilityUser:getMP() < throwShared.modInfo.GRENADE_THROW_MP_COST then
			return false, string.format(STRINGS.UI.REASON.REQUIRES_AP, throwShared.modInfo.GRENADE_THROW_MP_COST)
		end

		return true
	end,

	onSpawnAbility = function(self, sim, unit)
		self.abilityOwner = unit
		sim:addTrigger("EAA_TRG_ITEM_THROW_CANCEL", self)
		sim:addTrigger("EAA_TRG_ITEM_TOSS", self)
		sim:addTrigger("EAA_TRG_ITEM_DEPLOY", self)
	end,

	onDespawnAbility = function(self, sim, unit)
		sim:removeTrigger("EAA_TRG_ITEM_THROW_CANCEL", self)
		sim:removeTrigger("EAA_TRG_ITEM_TOSS", self)
		sim:removeTrigger("EAA_TRG_ITEM_DEPLOY", self)
		self.abilityOwner = nil
	end,

	onTrigger = function(self, sim, evType, evData)
		-- eaa_isThrowing trait is managed by selectItemToss.lua
		if evType == "EAA_TRG_ITEM_THROW_CANCEL" then
			self.iconColor = self.ICON_COLOR_ACTIVE
		elseif evType == "EAA_TRG_ITEM_TOSS" then
			self.iconColor = self.ICON_COLOR_INACTIVE
		elseif evType == "EAA_TRG_ITEM_DEPLOY" then
			self.iconColor = self.ICON_COLOR_ACTIVE
		end
	end,

	executeAbility = function(self, sim, unit, userUnit)
		sim:triggerEvent("EAA_TRG_ITEM_DEPLOY", {itemUnit = unit})
		sim:dispatchEvent("EAA_EV_ITEM_THROW", {itemUnit = unit, itemUser = userUnit})
		-- see onTrigger() for effects
	end,
}

return selectItemDeploy
