-- Modifys simdefs.SCREEN_CUSTOMS to add extra popups to the item panel
-- This allows items to display more than 4 abilities ensure that are
-- abilities for throwing items can be displayed.
--
-- File is setup so that if you include it SCREEN_CUSTOMS gets modified.
-- Load it in init (not 100% certain if it will hurt it to be loaded later, but to be safe, load it in init)
local mui = include("mui/mui")
local simdefs = include("sim/simdefs")
local util = include("modules/util")

local index_agentPanel = 5
local index_inventoryGroup = 4
local index_inventory = 2
local index_popUp = 1
local index_emptySlot = 5

-- Try to insert this where it won't interfere with anything already existing in hud.lua
-- Don't forget lua arrays start indexing at 1 and NOT 0.

-- Scratch that as hud.lua isn't actually loaded here. Other mods modifications might
-- be loaded here but the entire hud.lua file is not.
-- So bascially we just have to pray that nobody ever makes any inserts in the middle
-- of a table (which I think is unlikely so we "should" be safe).
-- if simdefs.SCREEN_CUSTOMS["hud.lua"] ~= nil then
-- 	local t = simdefs.SCREEN_CUSTOMS["hud.lua"].widgets
-- 	log:write("BEGINNING of hud.lua ---------------------------------------------")
-- 	log:write(util.stringize(simdefs.SCREEN_CUSTOMS["hud.lua"], 10))
-- 	log:write("END of hud.lua ---------------------------------------------------")
--
-- 	log:write("Extra Agent Abilities: Searching for index_agentPanel...")
-- 	while t[index_agentPanel] ~= nil do
-- 		if t[index_agentPanel].name == [[agentPanel]] then
-- 			log:write("Extra Agent Abilities: ... found index_agentPanel at |"..tostring(index_agentPanel).."|")
-- 			break
-- 		else
-- 			index_agentPanel = index_agentPanel + 1
-- 		end
-- 	end
-- 	if t[index_agentPanel] == nil then
-- 		log:write("Extra Agent Abilities: ERROR Could not find index_agentPanel |"..tostring(index_agentPanel).."| in gui.kwad/hud.lua while trying to edit simdefs.SCREEN_CUSTOMS")
-- 	end
--
-- 	log:write("Extra Agent Abilities: Searching for index_inventoryGroup...")
-- 	while t[index_agentPanel].children[index_inventoryGroup] ~= nil do
-- 		if t[index_agentPanel].children[index_inventoryGroup].name == [[inventoryGroup]] then
-- 			log:write("Extra Agent Abilities: ... found index_inventoryGroup at |"..tostring(index_inventoryGroup).."|")
-- 			break
-- 		else
-- 			index_inventoryGroup = index_inventoryGroup + 1
-- 		end
-- 	end
-- 	if t[index_inventoryGroup] == nil then
-- 		log:write("Extra Agent Abilities: ERROR Could not find index_inventoryGroup |"..tostring(index_inventoryGroup).."| in gui.kwad/hud.lua while trying to edit simdefs.SCREEN_CUSTOMS")
-- 	end
--
-- 	log:write("Extra Agent Abilities: Searching for index_inventory...")
-- 	while t[index_agentPanel].children[index_inventoryGroup].children[index_inventory] ~= nil do
-- 		if t[index_agentPanel].children[index_inventoryGroup].children[index_inventory].name == [[inventory]] then
-- 			log:write("Extra Agent Abilities: ... found index_inventory at |"..tostring(index_inventory).."|")
-- 			break
-- 		else
-- 			index_inventory = index_inventory + 1
-- 		end
-- 	end
-- 	if t[index_inventory] == nil then
-- 		log:write("Extra Agent Abilities: ERROR Could not find index_inventory |"..tostring(index_inventory).."| in gui.kwad/hud.lua while trying to edit simdefs.SCREEN_CUSTOMS")
-- 	end
--
-- 	log:write("Extra Agent Abilities: Searching for index_popUp...")
-- 	while t[index_agentPanel].children[index_inventoryGroup].children[index_inventory].children[index_popUp] ~= nil do
-- 		if t[index_agentPanel].children[index_inventoryGroup].children[index_inventory].children[index_popUp].name == [[popUp]] then
-- 			log:write("Extra Agent Abilities: ... found index_popUp at |"..tostring(index_popUp).."|")
-- 			break
-- 		else
-- 			index_popUp = index_popUp + 1
-- 		end
-- 	end
-- 	if t[index_popUp] == nil then
-- 		log:write("Extra Agent Abilities: ERROR Could not find index_popUp |"..tostring(index_popUp).."| in gui.kwad/hud.lua while trying to edit simdefs.SCREEN_CUSTOMS")
-- 	end
--
-- 	log:write("Extra Agent Abilities: Searching for index_emptySlot...")
-- 	while t[index_agentPanel].children[index_inventoryGroup].children[index_inventory].children[index_popUp].children[index_emptySlot] ~= nil do
-- 		index_emptySlot = index_emptySlot + 1
-- 	end
-- 	log:write("Extra Agent Abilities: ... found index_emptySlot at |"..tostring(index_emptySlot).."|")
-- end

local extraAction0Name = [[action]]..tostring(index_emptySlot)
local extraAction1Name = [[action]]..tostring(index_emptySlot + 1)

simdefs.SCREEN_CUSTOMS = util.extend(simdefs.SCREEN_CUSTOMS) {
	["hud.lua"] = {
		widgets = {
			[index_agentPanel] = {
				children = {
					[index_inventoryGroup] = {
						children = {
							[index_inventory] = {
								children = {
									[index_popUp] = {
										children = {
											[index_emptySlot] = {
												name = extraAction0Name,
												isVisible = true,
												noInput = false,
												anchor = 1,
												rotation = 0,
												x = 0,
												xpx = true,
												y = 152,
												ypx = true,
												w = 0,
												h = 0,
												sx = 1,
												sy = 1,
												ctor = [[group]],
												children =
												{
													{
														name = [[img]],
														isVisible = true,
														noInput = false,
														anchor = 1,
														rotation = 0,
														x = 0,
														xpx = true,
														y = 0,
														ypx = true,
														w = 36,
														wpx = true,
														h = 36,
														hpx = true,
														sx = 1,
														sy = 1,
														ctor = [[image]],
														color =
														{
															1,
															1,
															1,
															1,
														},
														images =
														{
															{
																file = [[gui/hud3/hud_icon_button_BG.png]],
																name = [[]],
															},
														},
													},
													{
														name = [[btn]],
														isVisible = true,
														noInput = false,
														anchor = 1,
														rotation = 0,
														x = 0,
														xpx = true,
														y = 0,
														ypx = true,
														w = 36,
														wpx = true,
														h = 36,
														hpx = true,
														sx = 1,
														sy = 1,
														skin_properties =
														{
															size =
															{
																default =
																{
																	w = 36,
																	wpx = true,
																	h = 36,
																	hpx = true,
																},
																Small =
																{
																	w = 36,
																	wpx = true,
																	h = 36,
																	hpx = true,
																},
															},
														},
														ctor = [[button]],
														clickSound = [[SpySociety/HUD/menu/click]],
														hoverSound = [[SpySociety/HUD/menu/rollover]],
														hoverScale = 1,
														halign = MOAITextBox.CENTER_JUSTIFY,
														valign = MOAITextBox.CENTER_JUSTIFY,
														text_style = [[]],
														images =
														{
															{
																file = [[gui/icons/item_icons/items_icon_small/icon-item_chip_hyper_buster_small.png]],
																name = [[inactive]],
																color =
																{
																	1,
																	1,
																	1,
																	0.800000011920929,
																},
															},
															{
																file = [[gui/icons/item_icons/items_icon_small/icon-item_chip_hyper_buster_small.png]],
																name = [[hover]],
																color =
																{
																	1,
																	1,
																	1,
																	0.800000011920929,
																},
															},
															{
																file = [[gui/icons/item_icons/items_icon_small/icon-item_chip_hyper_buster_small.png]],
																name = [[active]],
															},
														},
													},
													{
														name = [[label]],
														isVisible = true,
														noInput = true,
														anchor = 1,
														rotation = 0,
														x = 150,
														xpx = true,
														y = 0,
														ypx = true,
														w = 256,
														wpx = true,
														h = 36,
														hpx = true,
														sx = 1,
														sy = 1,
														ctor = [[label]],
														halign = MOAITextBox.LEFT_JUSTIFY,
														valign = MOAITextBox.CENTER_JUSTIFY,
														text_style = [[font1_16_r]],
													},
												},
											},
											[index_emptySlot + 1] = {
												name = extraAction1Name,
												isVisible = true,
												noInput = false,
												anchor = 1,
												rotation = 0,
												x = 0,
												xpx = true,
												y = 190,
												ypx = true,
												w = 0,
												h = 0,
												sx = 1,
												sy = 1,
												ctor = [[group]],
												children =
												{
													{
														name = [[img]],
														isVisible = true,
														noInput = false,
														anchor = 1,
														rotation = 0,
														x = 0,
														xpx = true,
														y = 0,
														ypx = true,
														w = 36,
														wpx = true,
														h = 36,
														hpx = true,
														sx = 1,
														sy = 1,
														ctor = [[image]],
														color =
														{
															1,
															1,
															1,
															1,
														},
														images =
														{
															{
																file = [[gui/hud3/hud_icon_button_BG.png]],
																name = [[]],
															},
														},
													},
													{
														name = [[btn]],
														isVisible = true,
														noInput = false,
														anchor = 1,
														rotation = 0,
														x = 0,
														xpx = true,
														y = 0,
														ypx = true,
														w = 36,
														wpx = true,
														h = 36,
														hpx = true,
														sx = 1,
														sy = 1,
														skin_properties =
														{
															size =
															{
																default =
																{
																	w = 36,
																	wpx = true,
																	h = 36,
																	hpx = true,
																},
																Small =
																{
																	w = 36,
																	wpx = true,
																	h = 36,
																	hpx = true,
																},
															},
														},
														ctor = [[button]],
														clickSound = [[SpySociety/HUD/menu/click]],
														hoverSound = [[SpySociety/HUD/menu/rollover]],
														hoverScale = 1,
														halign = MOAITextBox.CENTER_JUSTIFY,
														valign = MOAITextBox.CENTER_JUSTIFY,
														text_style = [[]],
														images =
														{
															{
																file = [[gui/icons/item_icons/items_icon_small/icon-item_chip_hyper_buster_small.png]],
																name = [[inactive]],
																color =
																{
																	1,
																	1,
																	1,
																	0.800000011920929,
																},
															},
															{
																file = [[gui/icons/item_icons/items_icon_small/icon-item_chip_hyper_buster_small.png]],
																name = [[hover]],
																color =
																{
																	1,
																	1,
																	1,
																	0.800000011920929,
																},
															},
															{
																file = [[gui/icons/item_icons/items_icon_small/icon-item_chip_hyper_buster_small.png]],
																name = [[active]],
															},
														},
													},
													{
														name = [[label]],
														isVisible = true,
														noInput = true,
														anchor = 1,
														rotation = 0,
														x = 150,
														xpx = true,
														y = 0,
														ypx = true,
														w = 256,
														wpx = true,
														h = 36,
														hpx = true,
														sx = 1,
														sy = 1,
														ctor = [[label]],
														halign = MOAITextBox.LEFT_JUSTIFY,
														valign = MOAITextBox.CENTER_JUSTIFY,
														text_style = [[font1_16_r]],
													},
												},
											},
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
}

mui.loadUI("hud.lua")
