----------------------------------------------------------------------
-- EXTRA AGENT ABILITIES for Invisible Inc.
--

local MOD_STRINGS =
{

	OPTIONS =
	{
		ENABLE_DOOR_SLAM = "ENABLE DOOR SLAMMING",
		ENABLE_DOOR_SLAM_TIP = "<c:FF8411>ENABLE DOOR SLAMMING</c>\nAllows agents to slam doors, creating a sound that can be heard by any guard within a 5 tile radius. Costs AP.",
		ENABLE_DOOR_BREAK = "ENABLE DOOR BREAKING",
		ENABLE_DOOR_BREAK_TIP = "<c:FF8411>ENABLE DOOR BREAKING</c>\nAllows agents to break doors, dealing K.O. damage to guards (and agents) directly behind the door based on their STRENGTH skill and melee damage. Creates a noise that can be heard by any guard within a 8 tile radius. Costs AP.",
		--ENABLE_DOOR_BREAK_MP_COST = "BREAKING DOORS COSTS AP",
		--ENABLE_DOOR_BREAK_MP_COST_TIP = "<c:FF8411>BREAKING DOORS COSTS AP</c>\nControls how much AP is required to break a door.",
		ENABLE_ITEM_THROW = "ENABLE ITEM TOSSING",
		ENABLE_ITEM_THROW_TIP = "<c:FF8411>ENABLE ITEM TOSSING</c>\nAllows agents to throw any item. Handy for tossing an item across a hall to another agent. Costs AP.",
		--ENABLE_ITEM_THROW_MP_COST = "THROWING ITEMS COSTS AP",
		--ENABLE_ITEM_THROW_MP_COST_TIP = "<c:FF8411>THROWING ITEMS COSTS AP</c>\nControls how much AP is required to throw an item (this excludes grenade throws).",
		ENABLE_GRENADE_THROW_MP_COST = "DEPLOYING LIVE GRENADES COSTS AP",
		ENABLE_GRENADE_THROW_MP_COST_TIP = "<c:FF8411>DEPLOYING LIVE GRENADES COSTS AP</c>\nControls how much AP is required to throw a live grenade (this includes all items that can be thrown in vanilla game).\nGuards are excluded from AP cost.",
		ENABLE_ITEMS = "ENABLE AUGMENT",
		ENABLE_ITEMS_TIP = "<c:FF8411>ENABLE AUGMENT</c>\nAdds the following augment:\nTitanium Heel - +2 Door Break range. Break lvl1 security doors.",
		ENABLE_ITEM_SIGHTABLE = "GUARDS DETECT ITEMS",
		ENABLE_ITEM_SIGHTABLE_TIP = "<c:FF8411>GUARDS DETECT ITEMS</c>\nGuards investigate items they see lying on the ground. Items can be hidden behind cover.\n\nNote that guards are always alerted by deployed Portable Servers.",
		ENABLE_ITEM_SIGHTABLE_VALUES =
		{
			OFF = "Off",
			PARTIAL = "Direct Vision Only",
			FULL = "Peripheral and Direct Vision"
		},
		ENABLE_GUARDS_SEE_THROW = "GUARDS SEE ITEM THROWS",
		ENABLE_GUARDS_SEE_THROW_TIP = "<c:FF8411>GUARDS SEE ITEM THROWS</c>\nGuards spot items if the throw crosses their line of sight (only works when 'Guards Detect Items' is on).",
		ENABLE_GUARDS_ITEM_RESPONSE = "GUARDS ITEM RESPONSE",
		ENABLE_GUARDS_ITEM_RESPONSE_TIP =
[[<c:FF8411>GUARDS ITEM RESPONSE</c>
Controls the response guards give when they see an item (only works when 'Guards Detect Items' is on).

Mix will cause guards to investigate lvl1 security passcards and the wallet from NIAA while going into alert when seeing any other item.

Note that deployed Portable Servers ignore this setting, and will always alert guards.]],
		ENABLE_GUARDS_ITEM_RESPONSE_VALUES =
		{
			INVESTIGATE = "Investigate",
			MIX = "Mix",
			ALERT = "Alert"
		},
		ENABLE_ITEM_DESTROY = "GUARDS DESTROY/PICKUP ITEMS",
		ENABLE_ITEM_DESTROY_TIP =
[[<c:FF8411>GUARDS DESTROY/PICKUP ITEMS</c>
Guards destroy or pickup items on the ground (this option is only meaningful if 'Guards Detect Items' or 'Guards Loot Corpses' is on).

Guards' inventory size is 3. Drones never pickup items.

'Vanilla Behavior' - Guards pickup deployed Portable Servers, but leave all other items on the ground.

'Pickup' - Guards pickup items if they have space, or just leave them on the ground.

'Destroy or Pickup' - Guards pickup items if they have space, or destroy them permanently.

'Destroy' - Guards always destroy items.]],
		ENABLE_ITEM_DESTROY_VALUES =
		{
			VANILLA = "Vanilla Behavior",
			PICKUP = "Pickup",
			PICKUP_DESTROY = "Destroy or Pickup",
			DESTROY = "Destroy"
		},
		ENABLE_GUARDS_LOOT_CORPSES = "GUARDS LOOT AGENTS",
		ENABLE_GUARDS_LOOT_CORPSES_TIP = "<c:FF8411>GUARDS LOOT AGENTS</c>\nGuards destroy/pickup items off of downed agents according to the 'Guards Destroy/Pickup items' setting."
	},

	TOOLTIPS =
	{
		DOOR_SLAM = "Slam Door",
		DOOR_SLAM_DESC = "Slams the door shut, creating a sound that alerts guards within a 5 tile radius.",
		DOOR_SLAM_REASON_DOOR_CLOSED = "Door must be open.",
		THROW_TOSS = "Toss",
		THROW_TOSSING = "Tossing",
		THROW_TOSS_DESC = "Toss the item without triggering its affect.",
		THROW_DEPLOY = "Deploy",
		THROW_DEPLOYING = "Deploying",
		THROW_DEPLOY_DESC = "Deploy the item, triggering its affect.",
		THROW_CANCEL = "Cancel Throw"
	},

	FLY_TXT =
	{
		ITEM_THROW = "Choose Throw Location",
	},

	ITEMS =
	{
		AUGMENTS =
		{
			STEEL_FOOT = "Titanium Heel",
			STEEL_FOOT_TIP = "Adds +2 tiles to the K.O. range of 'Break Door' (2nd additional tile at half K.O. and armor piercing).\n\nAllows agent to break lvl1 security doors (raises alarm level).",
			STEEL_FOOT_DESC = "Often used by irritated executives to stomp their foot with an authoritative 'thud'. Irritation often increases when the repair bill for the floor and other damages arrives."
		}
	},

	SKILLS =
	{
		INV =
		{
			[1] = "\nCan Break Doors",
			[2] = "\nBreak Doors: +1 Armor Pierce",
			[3] = "\nBreak Doors: +1 K.O.",
			[4] = "\nBreak Doors: +1 Armor Pierce",
			[5] = "\nBreak Doors: +1 range at half damage and armor piercing"
		}
	}

}

return MOD_STRINGS
